Game Center updated games incompatible with iPad?

Discussion in 'iPad' started by EssentialParado, Sep 8, 2010.

  1. EssentialParado macrumors 65816

    Joined:
    Feb 17, 2005
    #1
    I have the iPhone/ iPod touch version of Fieldrunners (among many other iPhone games) on my iPad running scaled up. I just updated Fieldrunners to the latest version that has GameCenter support and now the app crashes on startup.

    I've tried restarting the iPad, but still no luck. Is there anyone who can confirm/deny if this is just my copy of Fieldrunners or if gamecenter support updates will render an iPhone app broken on the iPad and whether we should avoid updating those apps?

    There are a few games with GameCenter support on the store already, including Flight Control and CroMag Rally. Larger list here.


    Obviously Game Center doesn't come to the iPad until 4.2, and I am aware some of these games have iPad specific versions you can buy separately, but I think this has wide implications if a lot of iPhone apps are suddenly going to stop working on the iPad.
     
  2. prot0type macrumors regular

    Joined:
    Jul 12, 2010
    #2
    You might be right. Unfortunately I have none of the games listed to test for myself, but I wouldn't be surprised if this were the case. Best thing to do unless somebody else chimes in with personal experience is contact the app developer. Might be an issue that needs to be addressed if true.
     
  3. hsotnicam8002 macrumors 6502

    hsotnicam8002

    Joined:
    Mar 13, 2008
    Location:
    United Kingdom
    #3
    Many say that the iPad is just a glorified iPod Touch, of which the latest version has iOS4.1. The iphone has many more pixels per unit area. So doesn't the old excuse some have made for the iPad iOS4 being delayed due to complexities with the larger screen don't seem to hold true. Why is the iPad iOS so far behind the others? It seems crazy to me that my old iPhone 3G has folders amongst other advances and yet my fairly new iPad doesn't, for example. What is Apple playing at having such discrepancies? I mean, all of my desktop and portable Macs can run the same system. Maybe Apple should cut all leave until the gaps are closed! ;)
     
  4. ssdeg7 macrumors 6502a

    ssdeg7

    Joined:
    Jul 15, 2010
    #4
    Some apps work but others need to be updated to support 4.2 on iPad
     
  5. shandyman Suspended

    Joined:
    Apr 24, 2010
    Location:
    Dublin, Ireland
    #5
    this is the whole point of betas and GM, the devs test them and make them compatible for 4.2... you'll probably see an update for them after it officially gets released......
     

Share This Page